#
# spec file for package libmodplug (Version 0.8.4)
#
#!BuildIgnore:          post-build-checks
Name:           libmodplug
Summary:        Libmodplug - a MOD playing library (used for example in ModPlug-xmms)
Summary(de):    Libmodplug - eine MOD Abspielbiblithek (wird unter anderem von ModPlug-xmms benutzt)
Version:        0.8.4
Release:        4.1
Group:          System/Libraries
License:        GPL
URL:            http://modplug-xmms.sourceforge.net

Source0:        libmodplug-0.8.4.tar.bz2
Source1:	%{name}-rpmlintrc
BuildRequires:  pkgconfig
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      xmms-plugins

%description
Libmodplug is the library behind -- Modplug-XMMS is a fully featured, complete
input plugin for XMMS which plays mod-like music formats. It is based on the
mod rendering code from ModPlug, a popular windows mod player written by
Olivier Lapicque, found at http://www.modplug.com

This package contains only a static linked library for compiling libxines
mod-plugin, it's not needed to run xine or any other program.

%description -l de
Libmodplug ist die Bibliothek hinter Modplug-XMMS, welches ein Eingabeplugin
für XMMS darstellt um MOD Musikdateien abzuspielen. Es basiert auf dem MOD
Rendering-Code von ModPlug, ein populärer MOD-Player unter Windows, geschrieben
von Olivier Lapicque, siehe auch http://www.modplug.com

Dieses Paket enthält nur die statisch gelinkte Bibliothek, diese wird benötigt
um das MOD-Plugin der libxine zu compilieren. Es wird nicht benötigt um xine
oder ein anderes Programm laufen zu lassen.

%prep
%setup -q
chmod 644 COPYING README ChangeLog COPYING
%ifarch ppc x86_64 amd64 ia32e
export CPPFLAGS="${RPM_OPT_FLAGS} -fPIC"
%else
export CPPFLAGS="${RPM_OPT_FLAGS}"
%endif
%configure --enable-static --disable-shared

%build
%__make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog COPYING
%{_includedir}/libmodplug
%{_libdir}/libmodplug.*
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

